<?php
/** URL de autenticação para API PIX do SICOOB */
define("URL_AUTENTICACAO", "https://auth.sicoob.com.br/auth/realms/cooperado/protocol/openid-connect/token");
                           
/** URL de produção API PIX do SICOOB */
define("URL_PIX", "https://api.sicoob.com.br/pix/api/v2");
/** URL de HOMOLOGAÇÃOprodução API PIX do SICOOB */
//define("URL_PIX", "https://sandbox.sicoob.com.br/sicoob/sandbox/pix/api/v2");

/** Aqui deve ser informado o valor da chave CLIENT_ID que precisa ser criada no portal (https://developers.sicoob.com.br/portal/) conforme documentação do SICOOB 
 *  Chave fictísia, meramente para exemplificar o formato da mesma */
define("SICOOBPIX_CLIENT_ID", "7283e6f0-51a3-4b52-a62a-9b177a58860f");

/** Caminho do certificado público (A1) - Emitido no CPF ou CNPJ do Cooperado */
define("SICOOBPIX_CAMINHO_CERT_PUBLICO", "/../../admin/certificados/SicoobCertificado.pem");

/** Caminho do certificado privado (A1) - Emitido no CPF ou CNPJ do Cooperado */
define("SICOOBPIX_CAMINHO_CERT_PRIVADO", "/../../admin/certificados/SicoobChavePrivada.key");

/** Senha do certificado (Caso os arquivos publico e privado tenham senhas diferentes é necessário criar uma constante para cada um) */
define("SICOOBPIX_SENHA_CERT", "");

// Definindo chave pix recebedor
define("SICOOBPIX_CHAVE", "ab0249b0-67f6-4f58-a896-0e57607eab72");

// Definindo titular da conta
define("SICOOBPIX_TITULAR", "FJF_EMPREENDIMENTOS_EDUCA");

// Definindo titular da conta
define("SICOOBPIX_CEP", "59064740");

// Definindo cidade do Titular da conta
define("SICOOBPIX_CID_TITULAR", "NATAL");

?>